<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">

<h:head>
	<title>Lista dos Produtos</title>
</h:head> 
<h:body> 
	<div id="divCenter">
	<h:outputText value="Lista dos Produtos"></h:outputText>
	<h:form>
	<h:dataTable value="#{produtoMBean.listaProdutos}" var="produto">
		<h:column>
			<f:facet name="header">Descrição do Produto </f:facet>
			#{produto.descricao}
		</h:column>
		<h:column>
			<f:facet name="header">Visualizar</f:facet>
			<h:commandButton action="#{produtoMBean.visualizar(produto)}" value="Visualizar"></h:commandButton>
		</h:column>
		<h:column>
			<f:facet name="header">Editar</f:facet>
			<h:commandButton action="#{produtoMBean.editar(produto)}" value="Editar"></h:commandButton>
		</h:column>
		<h:column>
			<f:facet name="header">Excluir</f:facet>
			<h:commandButton action="#{produtoMBean.remover(produto)}" value="Excluir"></h:commandButton>
		</h:column>
	</h:dataTable>
	
	<br/>
	<h:commandButton action="#{loginMBean.menuPrincipal}" value="Voltar para o Menu Principal"></h:commandButton>
	<h:commandButton action="#{produtoMBean.novo}" value="Criar novo produto"></h:commandButton>
	</h:form>
	</div>
	<style type="text/css">
		* { margin: 0; padding: 0; font-family:Tahoma; font-size:9pt;}
			
			#divCenter {
				background-color: #e1e1e1;
				width: 400px;
				height: 300px;
				left: 50%;
				margin: -130px 0 0 -210px;
				padding:10px;
				position: absolute;
				top: 50%; 
			}
	</style>
</h:body> 
</html>
